Este sitio usa cookies, propias y de terceros.
Si se continúa con nosotros entendemos que se acepta nuestro uso de cookies.

  • ¡Bienvenido a XenFácil!

    Estás viendo el sitio como Invitado. Para poder participar en este sitio

    y obtendrás privilegios adicionales, acceso a otras áreas y mucho mas.

    ¡Es gratis!

    ¿Ya eres miembro?

Error Validación Token

Alberto Linares

XenForoUser
Registrado
2 Julio 2015
Mensajes
4
Puntos
1
País
España
Versión de XenForo
Página web
Web
Hola.

Tras haber comprado mi licencia original de Xenforo, estoy tratando de validar mi token para poder comprar traducciones y otros addons.

Cuando introduzco los datos que me solicita este foro, esto es, mi token y mi url, me devuelve el siguiente error:

"La licencia no puede validarse en este momento. Inténtalo más tarde.".

Llevo así un buen rato y quisiera saber si estoy haciendo algo mal o se trata de un error en la plataforma, porque me urge poder acceder a esos archivos.

Gracias de antemano.
 

lms

Administrador
Registrado
6 Octubre 2010
Mensajes
7.099
Puntos
2.613
País
España
Versión de XenForo
1.5.14
PayPal
Donar dinero a este usuario
Página web
Web
Igual no es un error. Xenforo estaba actualizando a la versión 1.5 e igual te ha pillado. Reintenta ahora. Si no puedes, házmelo saber y veremos de solucionarlo.

salud2
 

Andros

XenForoUser
Registrado
2 Julio 2014
Mensajes
205
Puntos
28
País
España
Versión de XenForo
1.5.5a
Página web
Web
Debe ser por la actual migración a 1.5
 

luis

Administrador
Registrado
6 Octubre 2010
Mensajes
1.566
Puntos
613
País
España
Versión de XenForo
1.5.12
PayPal
Donar dinero a este usuario
Página web
Web
Esto es un error de los datos que introduce el usuario por que no son los correctos y nada tienen que ver con la nueva versión del software. La API no ha cambiado y hay más usuarios utilizando este complemento y nadie ha reportado errores...

Para que esto funcione correctamente los datos tienen que ser exactamente los mismos que los que se introducen en los detalles de la licencia en xenforo.com...
 

lms

Administrador
Registrado
6 Octubre 2010
Mensajes
7.099
Puntos
2.613
País
España
Versión de XenForo
1.5.14
PayPal
Donar dinero a este usuario
Página web
Web
Esto es un error de los datos que introduce el usuario por que no son los correctos y nada tienen que ver con la nueva versión del software.
Cierto. He puesto otro complemento sobre validación de liencia (Liam) compatible con el anterior (en la pestaña de tu usuario, validación de licencia de Xenforo). Aunque lo metas en el panel de control (lo permite este nuevo complemento) debe ser una licencia válida para que la admita.

Deduzco que es un problema de copiar-pegar en el que se añade algún espacio de más a lo copiado.

Salud2
 

Alberto Linares

XenForoUser
Registrado
2 Julio 2015
Mensajes
4
Puntos
1
País
España
Versión de XenForo
Página web
Web
Buena, afortunadamente ya está solucionado el tema. Gracias!!!
 

Andros

XenForoUser
Registrado
2 Julio 2014
Mensajes
205
Puntos
28
País
España
Versión de XenForo
1.5.5a
Página web
Web
Como lo solucionaste, el problema al final cual era?
 

lms

Administrador
Registrado
6 Octubre 2010
Mensajes
7.099
Puntos
2.613
País
España
Versión de XenForo
1.5.14
PayPal
Donar dinero a este usuario
Página web
Web
Ni él ni yo lo sabemos. Lo solucioné porqué instalé otro complemento que me permite introducir el token (el qué él me dió) en el panel de control sabiendo que, si me lo valida todo ok, y si no, pues no lo hace.

Salud2
 

lms

Administrador
Registrado
6 Octubre 2010
Mensajes
7.099
Puntos
2.613
País
España
Versión de XenForo
1.5.14
PayPal
Donar dinero a este usuario
Página web
Web
Ahora ya sé el motivo:
batpool52! dijo:
Jake B.
Buscar en el archivo library/XI/LicenseValidation/ControllerPublic/License.php:
PHP:
        $validator = XenForo_Helper_Http::getClient('http://xenforo.com/api/license-lookup.json');
Reemplazar con:
PHP:
        $validator = XenForo_Helper_Http::getClient('https://xenforo.com/api/license-lookup.json');
Solo queda que Jeremy actualice el recurso
Jeremy dijo:
Qué dices. Ahora no puedo descargar y reempaquetarlo.

Ejecuto una versión modificada para cubrir mis propias necesidades por lo ue no puedo reempaquetar lo que tengo. Lol
Lo publico dado que no parece ser que lo vaya a solucionar en breve.
Yo lo solventé con el complemento de Liam que me parece más completo y que se puede colocar como obligatorio en el registro.

Salud2
 

Andros

XenForoUser
Registrado
2 Julio 2014
Mensajes
205
Puntos
28
País
España
Versión de XenForo
1.5.5a
Página web
Web
Yo tengo movidas en un foro inglés oficial por no poder validarlas xD
 

lms

Administrador
Registrado
6 Octubre 2010
Mensajes
7.099
Puntos
2.613
País
España
Versión de XenForo
1.5.14
PayPal
Donar dinero a este usuario
Página web
Web
Yo tengo movidas en un foro inglés oficial por no poder validarlas xD
Comunicáles el error que hay para la validación. El problema en sí es uq eXenForo ha pasado de http a https.

Salud2

Salud2
 
Arriba